Index: /main/waeup.kofa/trunk/src/waeup/kofa/university/certificate.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/university/certificate.py	(revision 10184)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/university/certificate.py	(revision 10185)
@@ -58,5 +58,7 @@
                  school_fee_1=None, school_fee_2=None,
                  school_fee_3=None, school_fee_4=None,
-                 ratio=None):
+                 ratio=None,
+                 custom_textline_1=None, custom_textline_2=None,
+                 custom_float_1=None, custom_float_2=None):
         super(Certificate, self).__init__()
         self.code = code
@@ -71,4 +73,8 @@
         self.school_fee_4 = school_fee_4
         self.ratio = ratio
+        self.custom_textline_1 = custom_textline_1
+        self.custom_textline_2 = custom_textline_2
+        self.custom_float_1 = custom_float_1
+        self.custom_float_2 = custom_float_2
 
     def traverse(self, name):
Index: /main/waeup.kofa/trunk/src/waeup/kofa/university/export.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/university/export.py	(revision 10184)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/university/export.py	(revision 10185)
@@ -158,4 +158,6 @@
               'start_level', 'end_level', 'application_category', 'ratio',
               'school_fee_1', 'school_fee_2', 'school_fee_3', 'school_fee_4',
+              'custom_textline_1', 'custom_textline_2',
+              'custom_float_1', 'custom_float_2',
               'users_with_local_roles')
 
Index: /main/waeup.kofa/trunk/src/waeup/kofa/university/interfaces.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/university/interfaces.py	(revision 10184)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/university/interfaces.py	(revision 10185)
@@ -266,4 +266,24 @@
         )
 
+    custom_textline_1 = schema.TextLine(
+        title = _(u'Custom Textline 1 (not used)'),
+        required = False,
+        )
+
+    custom_textline_2 = schema.TextLine(
+        title = _(u'Custom Textline 2 (not used)'),
+        required = False,
+        )
+
+    custom_float_1 = schema.Float(
+        title = _(u'Custom Float 1 (not used)'),
+        required = False,
+        )
+
+    custom_float_2 = schema.Float(
+        title = _(u'Custom Float 2 (not used)'),
+        required = False,
+        )
+
     def longtitle():
         """
Index: /main/waeup.kofa/trunk/src/waeup/kofa/university/tests/test_export.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/university/tests/test_export.py	(revision 10184)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/university/tests/test_export.py	(revision 10185)
@@ -380,6 +380,9 @@
             'code,faculty_code,department_code,title,study_mode,start_level,'
             'end_level,application_category,ratio,school_fee_1,'
-            'school_fee_2,school_fee_3,school_fee_4,users_with_local_roles\r\n'
-            'CERT1,F1,D1,Master of Cheese,ct_ft,100,300,basic,,,,,,'
+            'school_fee_2,school_fee_3,school_fee_4,'
+            'custom_textline_1,custom_textline_2,'
+            'custom_float_1,custom_float_2,'
+            'users_with_local_roles\r\n'
+            'CERT1,F1,D1,Master of Cheese,ct_ft,100,300,basic,,,,,,,,,,'
             '"[{\'user_name\': u\'bob\', \'local_role\': u\'bobsrole\'}]"\r\n'
             )
@@ -394,8 +397,11 @@
             'code,faculty_code,department_code,title,study_mode,start_level,'
             'end_level,application_category,ratio,school_fee_1,'
-            'school_fee_2,school_fee_3,school_fee_4,users_with_local_roles\r\n'
-            'CERT1,F1,D1,Master of Cheese,ct_ft,100,300,basic,,,,,,'
-            '"[{\'user_name\': u\'bob\', \'local_role\': u\'bobsrole\'}]"\r\n'
-            'CERT2,F1,D1,Master of Cheddar,ct_ft,400,700,cest,,,,,,[]\r\n'
+            'school_fee_2,school_fee_3,school_fee_4,'
+            'custom_textline_1,custom_textline_2,'
+            'custom_float_1,custom_float_2,'
+            'users_with_local_roles\r\n'
+            'CERT1,F1,D1,Master of Cheese,ct_ft,100,300,basic,,,,,,,,,,'
+            '"[{\'user_name\': u\'bob\', \'local_role\': u\'bobsrole\'}]"\r\n'
+            'CERT2,F1,D1,Master of Cheddar,ct_ft,400,700,cest,,,,,,,,,,[]\r\n'
             )
         return
@@ -411,9 +417,11 @@
             'end_level,application_category,ratio,'
             'school_fee_1,school_fee_2,school_fee_3,school_fee_4,'
+            'custom_textline_1,custom_textline_2,'
+            'custom_float_1,custom_float_2,'
             'users_with_local_roles\r\n'
-            'CERT1,F1,D1,Master of Cheese,ct_ft,100,300,basic,,,,,,'
-            '"[{\'user_name\': u\'bob\', \'local_role\': u\'bobsrole\'}]"\r\n'
-            'CERT2,F1,D1,Master of Cheddar,ct_ft,400,700,cest,,,,,,[]\r\n'
-            'CERT3,F1,D2,Cert. of Rubbish,dp_pt,100,200,no,,,,,,[]\r\n'
+            'CERT1,F1,D1,Master of Cheese,ct_ft,100,300,basic,,,,,,,,,,'
+            '"[{\'user_name\': u\'bob\', \'local_role\': u\'bobsrole\'}]"\r\n'
+            'CERT2,F1,D1,Master of Cheddar,ct_ft,400,700,cest,,,,,,,,,,[]\r\n'
+            'CERT3,F1,D2,Cert. of Rubbish,dp_pt,100,200,no,,,,,,,,,,[]\r\n'
             )
         return
@@ -428,9 +436,11 @@
             'end_level,application_category,ratio,'
             'school_fee_1,school_fee_2,school_fee_3,school_fee_4,'
+            'custom_textline_1,custom_textline_2,'
+            'custom_float_1,custom_float_2,'
             'users_with_local_roles\r\n'
-            'CERT1,F1,D1,Master of Cheese,ct_ft,100,300,basic,,,,,,'
-            '"[{\'user_name\': u\'bob\', \'local_role\': u\'bobsrole\'}]"\r\n'
-            'CERT2,F1,D1,Master of Cheddar,ct_ft,400,700,cest,,,,,,[]\r\n'
-            'CERT3,F1,D2,Cert. of Rubbish,dp_pt,100,200,no,,,,,,[]\r\n'
+            'CERT1,F1,D1,Master of Cheese,ct_ft,100,300,basic,,,,,,,,,,'
+            '"[{\'user_name\': u\'bob\', \'local_role\': u\'bobsrole\'}]"\r\n'
+            'CERT2,F1,D1,Master of Cheddar,ct_ft,400,700,cest,,,,,,,,,,[]\r\n'
+            'CERT3,F1,D2,Cert. of Rubbish,dp_pt,100,200,no,,,,,,,,,,[]\r\n'
             )
         return