Index: main/ngren.theme/trunk/ngren/theme/ngren_theme/about-us.html
===================================================================
--- main/ngren.theme/trunk/ngren/theme/ngren_theme/about-us.html	(revision 10190)
+++ main/ngren.theme/trunk/ngren/theme/ngren_theme/about-us.html	(revision 10191)
@@ -58,5 +58,5 @@
 							<img id="logo" src="img/ngren_logo.png" alt="NgREN logo" />
 						</a>
-						<h1><a href="home.html">NgREN - Nigerian Research<br/>and Education Network</a></h1>
+						<h1><a href="home.html">Nigerian Research and<br/>Education Network</a></h1>
 					</div>
 					<div id="user-options">
Index: main/ngren.theme/trunk/ngren/theme/ngren_theme/css/style.css
===================================================================
--- main/ngren.theme/trunk/ngren/theme/ngren_theme/css/style.css	(revision 10190)
+++ main/ngren.theme/trunk/ngren/theme/ngren_theme/css/style.css	(revision 10191)
@@ -143,5 +143,6 @@
 	float: left;
 	margin: 5px;
-	width: 110px;
+	margin-top: 15px;
+	width: 150px;
 }
 
Index: main/ngren.theme/trunk/ngren/theme/ngren_theme/dr-mt-johnson.html
===================================================================
--- main/ngren.theme/trunk/ngren/theme/ngren_theme/dr-mt-johnson.html	(revision 10190)
+++ main/ngren.theme/trunk/ngren/theme/ngren_theme/dr-mt-johnson.html	(revision 10191)
@@ -58,5 +58,5 @@
 							<img id="logo" src="img/ngren_logo.png" alt="NgREN logo" />
 						</a>
-						<h1><a href="home.html">NgREN - Nigerian Research<br/>and Education Network</a></h1>
+						<h1><a href="home.html">Nigerian Research and<br/>Education Network</a></h1>
 					</div>
 					<div id="user-options">
Index: main/ngren.theme/trunk/ngren/theme/ngren_theme/example.html
===================================================================
--- main/ngren.theme/trunk/ngren/theme/ngren_theme/example.html	(revision 10190)
+++ main/ngren.theme/trunk/ngren/theme/ngren_theme/example.html	(revision 10191)
@@ -58,5 +58,5 @@
 							<img id="logo" src="img/ngren_logo.png" alt="NgREN logo" />
 						</a>
-						<h1><a href="home.html">NgREN - Nigerian Research<br/>and Education Network</a></h1>
+						<h1><a href="home.html">Nigerian Research and<br/>Education Network</a></h1>
 					</div>
 					<div id="user-options">
Index: main/ngren.theme/trunk/ngren/theme/ngren_theme/home.html
===================================================================
--- main/ngren.theme/trunk/ngren/theme/ngren_theme/home.html	(revision 10190)
+++ main/ngren.theme/trunk/ngren/theme/ngren_theme/home.html	(revision 10191)
@@ -58,5 +58,5 @@
 							<img id="logo" src="img/ngren_logo.png" alt="NgREN logo" />
 						</a>
-						<h1><a href="home.html">NgREN - Nigerian Research<br/>and Education Network</a></h1>
+						<h1><a href="home.html">Nigerian Research and<br/>Education Network</a></h1>
 					</div>
 					<div id="user-options">
Index: main/ngren.theme/trunk/ngren/theme/ngren_theme/rules.xml
===================================================================
--- main/ngren.theme/trunk/ngren/theme/ngren_theme/rules.xml	(revision 10190)
+++ main/ngren.theme/trunk/ngren/theme/ngren_theme/rules.xml	(revision 10191)
@@ -19,5 +19,6 @@
 	<!-- Head -->
 	<before content="/html/head/meta" css:theme="meta" />
-	<replace theme="/html/head/title" content="/html/head/title" />
+	<replace theme="/html/head/title" content="/html/head/title"
+		 if-not-path="/" />
     <replace theme="/html/head/base" content="/html/head/base" />
 	<append theme="/html/head" content="/html/head/script" />
Index: main/ngren.theme/trunk/ngren/theme/ngren_theme/services.html
===================================================================
--- main/ngren.theme/trunk/ngren/theme/ngren_theme/services.html	(revision 10190)
+++ main/ngren.theme/trunk/ngren/theme/ngren_theme/services.html	(revision 10191)
@@ -58,5 +58,5 @@
 							<img id="logo" src="img/ngren_logo.png" alt="NgREN logo" />
 						</a>
-						<h1><a href="home.html">NgREN - Nigerian Research<br/>and Education Network</a></h1>
+						<h1><a href="home.html">Nigerian Research and<br/>Education Network</a></h1>
 					</div>
 					<div id="user-options">