Index: main/waeup.uniben/trunk/src/waeup/uniben/students/browser.py
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/students/browser.py	(revision 10025)
+++ main/waeup.uniben/trunk/src/waeup/uniben/students/browser.py	(revision 10200)
@@ -46,24 +46,4 @@
 from waeup.uniben.interfaces import MessageFactory as _
 
-class CustomStudentTriggerTransitionFormPage(StudentTriggerTransitionFormPage):
-    """ View to manage student base data
-    """
-
-    def getTransitions(self):
-        """Return a list of dicts of allowed transition ids and titles.
-
-        Each list entry provides keys ``name`` and ``title`` for
-        internal name and (human readable) title of a single
-        transition.
-        """
-        wf_info = IWorkflowInfo(self.context)
-        allowed_transitions = [t for t in wf_info.getManualTransitions()
-            if not t[0].startswith('pay')]
-        if self.context.is_postgrad and not self.context.is_special_postgrad:
-            allowed_transitions = [t for t in allowed_transitions
-                if not t[0] in FORBIDDEN_POSTGRAD_TRANS]
-        return [dict(name='', title=_('No transition'))] +[
-            dict(name=x, title=y) for x, y in allowed_transitions]
-
 class CustomOnlinePaymentDisplayFormPage(NigeriaOnlinePaymentDisplayFormPage):
     """ Page to view an online payment ticket
@@ -163,27 +143,4 @@
     """
     grok.template('studyleveleditpage')
-
-    def _registerCourses(self, **data):
-        """ This customized version does allow 'special postgraduate'
-        students to register their courses.
-        """
-        if self.context.student.is_postgrad and \
-            not self.context.student.is_special_postgrad:
-            self.flash(_(
-                "You are a postgraduate student, "
-                "your course list can't bee registered."))
-            self.redirect(self.url(self.context))
-            return
-        students_utils = getUtility(IStudentsUtils)
-        max_credits = students_utils.maxCredits(self.context)
-        if self.context.total_credits > max_credits:
-            self.flash(_('Maximum credits of ${a} exceeded.',
-                mapping = {'a':max_credits}))
-            return
-        IWorkflowInfo(self.context.student).fireTransition(
-            'register_courses')
-        self.flash(_('Course list has been registered.'))
-        self.redirect(self.url(self.context))
-        return
 
 class CustomStudyLevelDisplayFormPage(StudyLevelDisplayFormPage):
Index: main/waeup.uniben/trunk/src/waeup/uniben/students/student.py
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/students/student.py	(revision 10025)
+++ main/waeup.uniben/trunk/src/waeup/uniben/students/student.py	(revision 10200)
@@ -35,10 +35,4 @@
     grok.provides(ICustomStudent)
 
-    @property
-    def is_special_postgrad(self):
-        is_special_postgrad = getattr(
-            self.get('studycourse', None), 'is_special_postgrad', False)
-        return is_special_postgrad
-
 
 # Set all attributes of Student required in IStudent as field
Index: main/waeup.uniben/trunk/src/waeup/uniben/students/studycourse.py
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/students/studycourse.py	(revision 10025)
+++ main/waeup.uniben/trunk/src/waeup/uniben/students/studycourse.py	(revision 10200)
@@ -48,29 +48,4 @@
         return self.certificate.study_mode.startswith('special_pg')
 
-    @property
-    def next_session_allowed(self):
-        state = self.student.state
-        certificate = getattr(self, 'certificate', None)
-        if certificate == None:
-            return False
-        if state == CLEARED:
-            return True
-        cond0 = state == RETURNING
-        cond1 = self.current_verdict in (
-            'A','B','C','F','J','L','M','N','O','X','Z')
-        cond2 = self.current_level in (0, 100)
-        cond3 = certificate.study_mode.startswith('de') and \
-            self.current_level == 200
-        cond4 = certificate.study_mode.startswith('ph') and \
-            self.current_level == 300
-        if cond0 and (cond1 or cond2 or cond3 or cond4):
-            return True
-        cond5 = self.is_postgrad
-        cond6 = state == PAID
-        cond7 = self.is_special_postgrad
-        if  cond5 and cond6 and not cond7:
-            return True
-        return False
-
 CustomStudentStudyCourse = attrs_to_fields(CustomStudentStudyCourse)
 