Index: main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/applicants/browser.py
===================================================================
--- main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/applicants/browser.py	(revision 10156)
+++ main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/applicants/browser.py	(revision 10223)
@@ -80,14 +80,13 @@
     @property
     def form_fields(self):
-        target = getattr(self.context.__parent__, 'prefix', None)
-        if target is not None and target.startswith('pg'):
+        if self.target is not None and self.target.startswith('pg'):
             form_fields = grok.AutoFields(INigeriaPGApplicant)
             for field in PG_OMIT_DISPLAY_FIELDS:
                 form_fields = form_fields.omit(field)
-        elif target is not None and target.startswith('putme'):
+        elif self.target is not None and self.target.startswith('putme'):
             form_fields = grok.AutoFields(INigeriaUGApplicant)
             for field in PUTME_OMIT_DISPLAY_FIELDS:
                 form_fields = form_fields.omit(field)
-        elif target is not None and target.startswith('pude'):
+        elif self.target is not None and self.target.startswith('pude'):
             form_fields = grok.AutoFields(INigeriaUGApplicant)
             for field in PUDE_OMIT_DISPLAY_FIELDS:
@@ -116,6 +115,5 @@
     #@property
     #def note(self):
-    #    target = getattr(self.context.__parent__, 'prefix', None)
-    #    if target is not None and not target.startswith('pg') \
+    #    if self.target is not None and not self.target.startswith('pg') \
     #        and not self._reduced_slip():
     #        return _(u'<br /><br /><br />'
@@ -125,10 +123,9 @@
     @property
     def form_fields(self):
-        target = getattr(self.context.__parent__, 'prefix', None)
-        if target is not None and target.startswith('pg'):
+        if self.target is not None and self.target.startswith('pg'):
             form_fields = grok.AutoFields(INigeriaPGApplicant)
             for field in PG_OMIT_PDF_FIELDS:
                 form_fields = form_fields.omit(field)
-        elif target is not None and target.startswith('putme'):
+        elif self.target is not None and self.target.startswith('putme'):
             form_fields = grok.AutoFields(INigeriaUGApplicant)
             if self._reduced_slip():
@@ -138,5 +135,5 @@
                 for field in PUTME_OMIT_PDF_FIELDS:
                     form_fields = form_fields.omit(field)
-        elif target is not None and target.startswith('pude'):
+        elif self.target is not None and self.target.startswith('pude'):
             form_fields = grok.AutoFields(INigeriaUGApplicant)
             if self._reduced_slip():
@@ -166,14 +163,13 @@
     @property
     def form_fields(self):
-        target = getattr(self.context.__parent__, 'prefix', None)
-        if target is not None and target.startswith('pg'):
+        if self.target is not None and self.target.startswith('pg'):
             form_fields = grok.AutoFields(INigeriaPGApplicant)
             for field in PG_OMIT_MANAGE_FIELDS:
                 form_fields = form_fields.omit(field)
-        elif target is not None and target.startswith('putme'):
+        elif self.target is not None and self.target.startswith('putme'):
             form_fields = grok.AutoFields(INigeriaUGApplicant)
             for field in PUTME_OMIT_MANAGE_FIELDS:
                 form_fields = form_fields.omit(field)
-        elif target is not None and target.startswith('pude'):
+        elif self.target is not None and self.target.startswith('pude'):
             form_fields = grok.AutoFields(INigeriaUGApplicant)
             for field in PUDE_OMIT_MANAGE_FIELDS:
@@ -193,14 +189,13 @@
     @property
     def form_fields(self):
-        target = getattr(self.context.__parent__, 'prefix', None)
-        if target is not None and target.startswith('pg'):
+        if self.target is not None and self.target.startswith('pg'):
             form_fields = grok.AutoFields(INigeriaPGApplicantEdit)
             for field in PG_OMIT_EDIT_FIELDS:
                 form_fields = form_fields.omit(field)
-        elif target is not None and target.startswith('putme'):
+        elif self.target is not None and self.target.startswith('putme'):
             form_fields = grok.AutoFields(IPUTMEApplicantEdit)
             for field in PUTME_OMIT_EDIT_FIELDS:
                 form_fields = form_fields.omit(field)
-        elif target is not None and target.startswith('pude'):
+        elif self.target is not None and self.target.startswith('pude'):
             form_fields = grok.AutoFields(INigeriaUGApplicantEdit)
             for field in PUDE_OMIT_EDIT_FIELDS: