Index: main/ngren.theme/branches/filip-fixes/ngren/theme/browser/configure.zcml
===================================================================
--- main/ngren.theme/branches/filip-fixes/ngren/theme/browser/configure.zcml	(revision 10209)
+++ main/ngren.theme/branches/filip-fixes/ngren/theme/browser/configure.zcml	(revision 10229)
@@ -4,5 +4,7 @@
     xmlns:plone="http://namespaces.plone.org/plone"
     i18n_domain="ngren.theme">
-
+    
+  <include package="plone.app.contentmenu" />
+  
   <interface
       interface=".interfaces.IThemeSpecific"
@@ -55,4 +57,5 @@
    <browser:viewlet
         name="plone.slides_viewlet"
+        for="Products.CMFCore.interfaces.ISiteRoot"
         manager="plone.app.layout.viewlets.interfaces.IAboveContentTitle"
         class=".slide.SlideViewlet"
@@ -62,4 +65,5 @@
    <browser:viewlet
         name="plone.featured_viewlet"
+        for="Products.CMFCore.interfaces.ISiteRoot"
         manager="plone.app.layout.viewlets.interfaces.IAboveContentTitle"
         class=".featured.FeaturedViewlet"
@@ -69,4 +73,5 @@
    <browser:viewlet
         name="plone.banner_viewlet"
+        for="Products.CMFCore.interfaces.ISiteRoot"
         manager="plone.app.layout.viewlets.interfaces.IAboveContentTitle"
         class=".banner.BannerViewlet"
@@ -96,3 +101,14 @@
         permission="zope2.View"
         /> 
+        
+ <browser:page
+    for="Products.CMFCore.interfaces.ISiteRoot"
+    name="frontpageview"
+    title="Frontpage View"
+    menu="plone_displayviews"
+    class=".frontpageview.FrontpageView"
+    permission="zope2.View"
+    layer=".interfaces.IThemeSpecific"
+    />        
+        
 </configure>
Index: main/ngren.theme/branches/filip-fixes/ngren/theme/browser/frontpageview.py
===================================================================
--- main/ngren.theme/branches/filip-fixes/ngren/theme/browser/frontpageview.py	(revision 10229)
+++ main/ngren.theme/branches/filip-fixes/ngren/theme/browser/frontpageview.py	(revision 10229)
@@ -0,0 +1,13 @@
+# -*- coding: utf-8 -*-
+from Products.Five.browser import BrowserView
+from Products.Five.browser.pagetemplatefile import ViewPageTemplateFile
+from Products.CMFCore.utils import getToolByName
+
+
+class FrontpageView(BrowserView):
+	""" Default view of a kontextnavigation
+	"""
+	template = ViewPageTemplateFile('templates/frontpageview.pt')
+    
+	def __call__(self):
+		return self.template()
Index: main/ngren.theme/branches/filip-fixes/ngren/theme/browser/stylesheets/main.css
===================================================================
--- main/ngren.theme/branches/filip-fixes/ngren/theme/browser/stylesheets/main.css	(revision 10209)
+++ main/ngren.theme/branches/filip-fixes/ngren/theme/browser/stylesheets/main.css	(revision 10229)
@@ -80,4 +80,9 @@
 
 
+#viewlet-below-content{
+	display:block;
+	clear:both;
+}
+
 
 /** responsive Banners **/
Index: main/ngren.theme/branches/filip-fixes/ngren/theme/browser/templates/frontpageview.pt
===================================================================
--- main/ngren.theme/branches/filip-fixes/ngren/theme/browser/templates/frontpageview.pt	(revision 10229)
+++ main/ngren.theme/branches/filip-fixes/ngren/theme/browser/templates/frontpageview.pt	(revision 10229)
@@ -0,0 +1,16 @@
+<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en"
+      xmlns:tal="http://xml.zope.org/namespaces/tal"
+      xmlns:metal="http://xml.zope.org/namespaces/metal"
+      xmlns:i18n="http://xml.zope.org/namespaces/i18n"
+      lang="en"
+      metal:use-macro="context/main_template/macros/master"
+      i18n:domain="ngren.theme">
+
+<body>
+
+    <metal:content-core fill-slot="content-core">
+
+    </metal:content-core>
+
+</body>
+</html>
Index: main/ngren.theme/branches/filip-fixes/ngren/theme/ngren_theme/rules.xml
===================================================================
--- main/ngren.theme/branches/filip-fixes/ngren/theme/ngren_theme/rules.xml	(revision 10209)
+++ main/ngren.theme/branches/filip-fixes/ngren/theme/ngren_theme/rules.xml	(revision 10229)
@@ -6,5 +6,5 @@
     xmlns:xi="http://www.w3.org/2001/XInclude">
 
-	<theme href="home.html" css:if-content="body.section-front-page" />
+	<theme href="home.html" css:if-content="body.template-frontpageview" />
 	<theme href="example.html"/>
 	<notheme if="$ajax_load" />
@@ -44,11 +44,11 @@
 	<replace css:theme-children="#menu-collapse .nav" css:content-children="#portal-globalnav"/>
 	<!-- Frontpage Content -->
-	<replace css:theme=".full-col" css:content=".full-col" css:if-content="body.section-front-page"/>
+	<replace css:theme=".full-col" css:content=".full-col" css:if-content="body.template-frontpageview"/>
 	<replace css:theme=".rslides" css:content=".rslides"/>
-	<replace css:theme=".left-col" css:content=".left-col" css:if-content="body.section-front-page"/>
+	<replace css:theme=".left-col" css:content=".left-col" css:if-content="body.template-frontpageview"/>
 	
 	
-	<replace css:theme-children=".right-col" css:content-children="#portal-column-two" css:if-not-content="body.section-front-page"/>
-	<replace css:theme-children=".right-col" css:content-children="#newsportlet" css:if-content="body.section-front-page"/>
+	<replace css:theme-children=".right-col" css:content-children="#portal-column-two" css:if-not-content="body.template-frontpageview"/>
+	<replace css:theme-children=".right-col" css:content-children="#newsportlet" css:if-content="body.template-frontpageview"/>
 	
 	
Index: main/ngren.theme/branches/filip-fixes/ngren/theme/profiles/default/types.xml
===================================================================
--- main/ngren.theme/branches/filip-fixes/ngren/theme/profiles/default/types.xml	(revision 10209)
+++ main/ngren.theme/branches/filip-fixes/ngren/theme/profiles/default/types.xml	(revision 10229)
@@ -5,3 +5,4 @@
  <object name="Featured" meta_type="Dexterity FTI" />
  <object name="Banner" meta_type="Dexterity FTI" />
+ <object name="Plone_Site" meta_type="Factory-based Type Information with dynamic views"/>
 </object>
Index: main/ngren.theme/branches/filip-fixes/ngren/theme/profiles/default/types/Plone_Site.xml
===================================================================
--- main/ngren.theme/branches/filip-fixes/ngren/theme/profiles/default/types/Plone_Site.xml	(revision 10229)
+++ main/ngren.theme/branches/filip-fixes/ngren/theme/profiles/default/types/Plone_Site.xml	(revision 10229)
@@ -0,0 +1,13 @@
+<?xml version="1.0"?>
+<object name="Plone_Site"
+   meta_type="Factory-based Type Information with dynamic views"
+   i18n:domain="ngren.theme" xmlns:i18n="http://xml.zope.org/namespaces/i18n">
+  <property name="view_methods">
+  <element value="folder_summary_view"/>
+  <element value="folder_tabular_view"/>
+  <element value="atct_album_view"/>
+  <element value="folder_listing"/>
+  <element value="frontpageview"/>
+ </property>
+
+</object>