Index: main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/paymentsmanagepage.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/paymentsmanagepage.pt	(revision 10226)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/paymentsmanagepage.pt	(revision 10232)
@@ -32,5 +32,5 @@
       <td tal:content ="cl/amount_auth">AMOUNT</td>
       <td tal:content ="cl/p_session">SESSION</td>
-      <td tal:content ="cl/state">STATE</td>
+      <td tal:content ="cl/p_state_title">STATE</td>
       </tr>
     </tbody>
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/export.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/export.py	(revision 10226)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/export.py	(revision 10232)
@@ -294,5 +294,5 @@
             IStudentOnlinePayment, exclude_attribs=False,
             omit=['display_item']))) + (
-            'student_id','student_state','current_session')
+            'student_id','state','current_session')
 
     #: The title under which this exporter will be displayed
@@ -307,5 +307,6 @@
         if context is not None:
             student = context.student
-            if name in ['student_id'] and student is not None:
+            if name in ['student_id','state',
+                        'current_session'] and student is not None:
                 value = getattr(student, name, None)
         return super(
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/payments.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/payments.py	(revision 10226)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/payments.py	(revision 10232)
@@ -63,18 +63,4 @@
         try:
             return self.__parent__.__parent__
-        except AttributeError:
-            return None
-
-    @property
-    def student_state(self):
-        try:
-            return self.student.state
-        except AttributeError:
-            return None
-
-    @property
-    def current_session(self):
-        try:
-            return self.student.current_session
         except AttributeError:
             return None
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_export.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_export.py	(revision 10226)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_export.py	(revision 10232)
@@ -631,5 +631,5 @@
             'ac,amount_auth,creation_date,p_category,p_current,p_id,'
             'p_item,p_level,p_session,p_state,payment_date,r_amount_approved,'
-            'r_code,r_desc,student_id,student_state,current_session\r\n'
+            'r_code,r_desc,student_id,state,current_session\r\n'
 
             ',0.0,2012-04-01 13:12:01,schoolfee,1,,,,,unpaid,,0.0,,,,,\r\n'
@@ -649,5 +649,5 @@
             'ac,amount_auth,creation_date,p_category,p_current,p_id,'
             'p_item,p_level,p_session,p_state,payment_date,r_amount_approved,'
-            'r_code,r_desc,student_id,student_state,current_session\r\n'
+            'r_code,r_desc,student_id,state,current_session\r\n'
 
             '666,0.0,2012-04-01 13:12:01,schoolfee,1,my-id,'
@@ -668,5 +668,5 @@
             'ac,amount_auth,creation_date,p_category,p_current,p_id,'
             'p_item,p_level,p_session,p_state,payment_date,r_amount_approved,'
-            'r_code,r_desc,student_id,student_state,current_session\r\n'
+            'r_code,r_desc,student_id,state,current_session\r\n'
 
             '666,0.0,2012-04-01 13:12:01,schoolfee,1,my-id,'
@@ -687,5 +687,5 @@
             'ac,amount_auth,creation_date,p_category,p_current,p_id,'
             'p_item,p_level,p_session,p_state,payment_date,r_amount_approved,'
-            'r_code,r_desc,student_id,student_state,current_session\r\n'
+            'r_code,r_desc,student_id,state,current_session\r\n'
 
             '666,0.0,2012-04-01 13:12:01,schoolfee,1,my-id,'
@@ -709,5 +709,5 @@
             'ac,amount_auth,creation_date,p_category,p_current,p_id,'
             'p_item,p_level,p_session,p_state,payment_date,r_amount_approved,'
-            'r_code,r_desc,student_id,student_state,current_session\r\n'
+            'r_code,r_desc,student_id,state,current_session\r\n'
 
             '666,0.0,2012-04-01 13:12:01,schoolfee,1,my-id,'