Index: main/ngren.theme/trunk/ngren/theme/browser/configure.zcml
===================================================================
--- main/ngren.theme/trunk/ngren/theme/browser/configure.zcml	(revision 10239)
+++ main/ngren.theme/trunk/ngren/theme/browser/configure.zcml	(revision 10240)
@@ -4,5 +4,7 @@
     xmlns:plone="http://namespaces.plone.org/plone"
     i18n_domain="ngren.theme">
-
+    
+  <include package="plone.app.contentmenu" />
+  
   <interface
       interface=".interfaces.IThemeSpecific"
@@ -55,4 +57,5 @@
    <browser:viewlet
         name="plone.slides_viewlet"
+        for="Products.CMFCore.interfaces.ISiteRoot"
         manager="plone.app.layout.viewlets.interfaces.IAboveContentTitle"
         class=".slide.SlideViewlet"
@@ -62,4 +65,5 @@
    <browser:viewlet
         name="plone.featured_viewlet"
+        for="Products.CMFCore.interfaces.ISiteRoot"
         manager="plone.app.layout.viewlets.interfaces.IAboveContentTitle"
         class=".featured.FeaturedViewlet"
@@ -69,4 +73,5 @@
    <browser:viewlet
         name="plone.banner_viewlet"
+        for="Products.CMFCore.interfaces.ISiteRoot"
         manager="plone.app.layout.viewlets.interfaces.IAboveContentTitle"
         class=".banner.BannerViewlet"
@@ -96,3 +101,14 @@
         permission="zope2.View"
         /> 
+        
+ <browser:page
+    for="Products.CMFCore.interfaces.ISiteRoot"
+    name="frontpageview"
+    title="Frontpage View"
+    menu="plone_displayviews"
+    class=".frontpageview.FrontpageView"
+    permission="zope2.View"
+    layer=".interfaces.IThemeSpecific"
+    />        
+        
 </configure>
Index: main/ngren.theme/trunk/ngren/theme/browser/frontpageview.py
===================================================================
--- main/ngren.theme/trunk/ngren/theme/browser/frontpageview.py	(revision 10240)
+++ main/ngren.theme/trunk/ngren/theme/browser/frontpageview.py	(revision 10240)
@@ -0,0 +1,13 @@
+# -*- coding: utf-8 -*-
+from Products.Five.browser import BrowserView
+from Products.Five.browser.pagetemplatefile import ViewPageTemplateFile
+from Products.CMFCore.utils import getToolByName
+
+
+class FrontpageView(BrowserView):
+	""" Default view of a kontextnavigation
+	"""
+	template = ViewPageTemplateFile('templates/frontpageview.pt')
+    
+	def __call__(self):
+		return self.template()
Index: main/ngren.theme/trunk/ngren/theme/browser/stylesheets/main.css
===================================================================
--- main/ngren.theme/trunk/ngren/theme/browser/stylesheets/main.css	(revision 10239)
+++ main/ngren.theme/trunk/ngren/theme/browser/stylesheets/main.css	(revision 10240)
@@ -80,7 +80,46 @@
 
 
+#viewlet-below-content{
+	display:block;
+	clear:both;
+}
+#user-options{
+	max-width:330px;
+	text-align:right;
+}
+
+
+.label:empty, .badge:empty {
+	display:inline-block;
+}
+
+#content div.newsImageContainer p.discreet {
+    background-color: rgba(40, 40, 40, 0.7);
+    color: White;
+    font-weight: bold;
+    left: 5px;
+    margin: 0;
+    padding: 0.5em;
+    position: relative;
+    top: -38px;
+    width: 189px;
+}
+
 
 /** responsive Banners **/
+@media(min-width:768px) and (max-width:979px){
+#user-options{
+		max-width:100%;
+		width:auto;
+		text-align:right;
+	}
+
+}
 @media(max-width:767px){
+	#user-options{
+		max-width:100%;
+		width:auto;
+		text-align:right;
+	}
 	#partners-tile td {
 		display: block;
Index: main/ngren.theme/trunk/ngren/theme/browser/templates/frontpageview.pt
===================================================================
--- main/ngren.theme/trunk/ngren/theme/browser/templates/frontpageview.pt	(revision 10240)
+++ main/ngren.theme/trunk/ngren/theme/browser/templates/frontpageview.pt	(revision 10240)
@@ -0,0 +1,16 @@
+<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en"
+      xmlns:tal="http://xml.zope.org/namespaces/tal"
+      xmlns:metal="http://xml.zope.org/namespaces/metal"
+      xmlns:i18n="http://xml.zope.org/namespaces/i18n"
+      lang="en"
+      metal:use-macro="context/main_template/macros/master"
+      i18n:domain="ngren.theme">
+
+<body>
+
+    <metal:content-core fill-slot="content-core">
+
+    </metal:content-core>
+
+</body>
+</html>
Index: main/ngren.theme/trunk/ngren/theme/ngren_theme/full.html
===================================================================
--- main/ngren.theme/trunk/ngren/theme/ngren_theme/full.html	(revision 10240)
+++ main/ngren.theme/trunk/ngren/theme/ngren_theme/full.html	(revision 10240)
@@ -0,0 +1,205 @@
+<!DOCTYPE html>
+<!--[if IE 7 ]><html class="ie7" lang="en"><![endif]-->
+<!--[if IE 8 ]><html class="ie8" lang="en"><![endif]-->
+<!--[if (gte IE 9)|!(IE)]><!-->
+<html class="" lang="en">
+<!--<![endif]-->
+<head>
+	<meta charset="utf-8">
+	<title>Example | NgREN - Nigerian Research and Education Network</title>
+	<meta name="viewport" content="width=device-width, initial-scale=1.0">
+	<meta name="description" content="NgREN's vision is to be a world-class research and education network in Africa, fulfilling stakeholder needs for communication and collaboration as a cornerstone for Nigeria’s economic and social transformation.">
+	<meta name="author" content="NgREN">
+
+	<!-- Le styles -->
+	<link href="css/bootstrap.min.css" rel="stylesheet">
+	<link href="css/bootstrap-responsive.min.css" rel="stylesheet">
+	<link href="css/style.css" rel="stylesheet">
+
+	<link href='http://fonts.googleapis.com/css?family=Open+Sans:400,700' rel='stylesheet' type='text/css'>
+
+	<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>
+	<script src="js/responsiveslides.min.js"></script>
+	<script src="js/jquery.vticker-min.js"></script>
+	<script src="js/bootstrap.js"></script>
+	<script src="js/functions.js"></script>
+
+	<!-- HTML5 shim, for IE6-8 support of HTML5 elements and CSS3 Media Queries -->
+	<!--[if lt IE 9]>
+	<script src="js/html5shiv.js"></script>
+	<script src="js/css3-mediaqueries.js"></script>
+	<![endif]-->
+
+	<!-- Fav and touch icons -->
+	<link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
+</head>
+
+<body>
+
+	<!-- Facebook -->
+	<div id="fb-root"></div>
+	<script>(function(d, s, id) {
+	var js, fjs = d.getElementsByTagName(s)[0];
+	if (d.getElementById(id)) return;
+	js = d.createElement(s); js.id = id;
+	js.src = "//connect.facebook.net/es_LA/all.js#xfbml=1&appId=106017272902221";
+	fjs.parentNode.insertBefore(js, fjs);
+	}(document, 'script', 'facebook-jssdk'));</script>
+
+	<div class="container">
+
+	<div class="masthead">
+		<div class="navbar">
+		<div class="navbar-inner">
+			<div class="container relative">
+				<div id="header-head">
+					<div id="logo-container">
+						<a href="home.html">
+							<img id="logo" src="img/ngren_logo.png" alt="NgREN logo" />
+						</a>
+						<h1><a href="home.html">Nigerian Research and<br/>Education Network</a></h1>
+					</div>
+                                        <div class="btn-group pull-right btn-small"
+                                             id="user-options">
+                                          <a class="btn btn-small btn-primary"
+                                             href="#">
+                                            <i class="icon-user icon-white"></i>
+                                            <span id="user-options-name">
+                                              Username
+                                            </span>
+                                          </a>
+                                          <a class="btn btn-small btn-primary
+                                                    dropdown-toggle"
+                                             data-toggle="dropdown"
+                                             href="#">
+                                            <span class="caret"></span>
+                                          </a>
+                                          <ul class="dropdown-menu btn-small">
+                                            <li><a href="#">Dashboard</a></li>
+                                            <li><a href="#">Logout</a></li>
+                                          </ul>
+                                        </div><!-- user-options -->
+					<form class="navbar-form pull-right">
+						<input type="text" />
+						<button class="btn btn-primary btn-small search-btn" type="submit">Search</button>
+					</form>
+				</div>
+				<button type="button" class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
+					<span>Menu <b class="caret"></b></span>
+				</button>
+				<div id="menu-collapse" class="nav-collapse collapse">
+					<div class="nav-container">
+						<ul class="nav">
+							<li><a href="home.html">Home</a></li>
+							<li class="dropdown">
+								<a href="about-us.html" data-toggle="dropdown" class="dropdown-toggle disabled">About us <b class="caret"></b></a>
+								<ul class="dropdown-menu">
+									<li ><a href="example.html">Board</a></li>
+									<li ><a href="example.html">Plans</a></li>
+									<li ><a href="example.html">Policies</a></li>
+									<li ><a href="example.html">Topology</a></li>
+									<li ><a href="example.html">News and events</a></li>
+								</ul>
+							</li>
+							<li class="dropdown active">
+								<a href="services.html" data-toggle="dropdown" class="dropdown-toggle disabled">Services <b class="caret"></b></a>
+								<ul class="dropdown-menu">
+									<li ><a href="example.html">Unified communications</a></li>
+									<li ><a href="example.html">Video conferencing</a></li>
+									<li ><a href="example.html">Domain name services</a></li>
+									<li ><a href="example.html">Caching services</a></li>
+									<li ><a href="example.html">Digital content</a></li>
+									<li ><a href="example.html">Network Security (CERT)</a></li>
+									<li ><a href="example.html">Email and messaging</a></li>
+									<li ><a href="example.html">Colocation</a></li>
+									<li ><a href="example.html">Bandwidth supply and management</a></li>
+									<li ><a href="example.html">Backbone transmission</a></li>
+								</ul>
+							</li>
+							<li><a href="example.html">FAQ</a></li>
+						</ul>
+					</div>
+				</div>
+			</div>
+		</div>
+		</div><!-- /.navbar -->
+	</div>
+
+
+
+	<!-- CONTENT -->
+	<div class="full-col">
+	<div class="content-container gradient-radius-module">
+		<h1>Example</h1>
+		<ul class="breadcrumb">
+			<li><a href="home.html">Home</a></li>
+			<li class="separator">&raquo;</li>
+			<li>Example</li>
+		</ul>
+		<p>Unified communications allow institutions on the REN network to call each other across the NgREN private network. Unified communications allow institutions on the REN network to call each other across the NgREN private network.</p>
+		<img class="left-image" src="img/nigerian-woman3.jpg" alt="nigerian woman 3" style="width:220px;" />
+		<p>Unified communications <strong>allow institutions on the REN network to call each other across the NgREN private network</strong>. Unified communications allow institutions on the REN network to call each other across the NgREN private network. Unified communications allow institutions on the REN network to call each other <a href="example.html">across the NgREN private network</a>. Unified communications allow institutions on the REN network to call each other across the NgREN private network. Unified communications allow institutions on the REN network to call each other across the NgREN private network.</p>
+		<br/>
+		<h3>Head title</h3>
+		<ul>
+			<li>Unified communications allow institutions on the REN network to call each other</li>
+			<li>across the NgREN private network. Unified communications allow</li>
+			<li>Unified communications allow institutions on the REN network to call each other</li>
+			<li>across the NgREN private network. Unified communications allow</li>
+		</ul>
+
+		<div class="post-social">
+			<div class="facebook">
+				<div class="fb-like" data-href="http://www.facebook.com/informationnigeria" data-send="false" data-layout="button_count" data-width="90" data-show-faces="false"></div>
+			</div>
+			<div class="twitter">
+				<a href="https://twitter.com/share" class="twitter-share-button" data-url="http://www.facebook.com/informationnigeria">Tweet</a>
+				<script>!function(d,s,id){var js,fjs=d.getElementsByTagName(s)[0],p=/^http:/.test(d.location)?'http':'https';if(!d.getElementById(id)){js=d.createElement(s);js.id=id;js.src=p+'://platform.twitter.com/widgets.js';fjs.parentNode.insertBefore(js,fjs);}}(document, 'script', 'twitter-wjs');</script>
+			</div>
+		</div>
+		<div style="clear:both;"></div>
+
+	</div>
+	</div>
+
+
+	<div class="footer">
+		<div class="copyright">
+			<span>&copy; Nigerian Research and Education Network</span>
+			<script type="text/javascript">
+			renderCurrentYear();
+			</script>
+		</div>
+		<div class="address">
+			<ul>
+				<li>NgREN</li>
+				<li>National University Commission</li>
+				<li>Aja Nwachukwu House</li>
+				<li>Aguiyi Ironsi Street</li>
+				<li>Maitama District</li>
+				<li>Abuja, Nigeria</li>
+			</ul>
+		</div>
+		<div class="section">
+			<ul>
+				<li class="title">&raquo; NgREN</li>
+				<li><a href="example.html">Contact</a></li>
+				<li><a href="example.html">Sitemap</a></li>
+			</ul>
+		</div>
+	</div>
+
+	</div> <!-- /container -->
+
+	<!-- Le javascript
+	================================================== -->
+	<!-- Placed at the end of the document so the pages load faster -->
+
+	<script type="text/javascript">
+	$(document).ready(function() {
+		initInnerPageFunctions();
+	});
+	</script>
+
+</body>
+</html>
Index: main/ngren.theme/trunk/ngren/theme/ngren_theme/rules.xml
===================================================================
--- main/ngren.theme/trunk/ngren/theme/ngren_theme/rules.xml	(revision 10239)
+++ main/ngren.theme/trunk/ngren/theme/ngren_theme/rules.xml	(revision 10240)
@@ -6,58 +6,82 @@
     xmlns:xi="http://www.w3.org/2001/XInclude">
 
-	<theme href="home.html" css:if-content="body.section-front-page" />
-	<theme href="example.html"/>
-	<notheme if="$ajax_load" />
-	<!--<notheme if="contains($path, 'manage')"/>-->
-	<notheme if="contains($path, 'plugins')"/>
-	<notheme if="contains($path, 'querybuilder')"/>
-	<notheme if="contains($path, 'advanced/anchor.htm')"/>
-	<notheme if="contains($path, 'advanced/source_editor.htm')"/>
-	<notheme if-path="@@manage-viewlets" />
+  <theme href="home.html" css:if-content="body.template-frontpageview" />
+  <theme href="full.html" css:if-content="#portal-column-content.width-full"/>
+  <theme href="example.html"/>
+  <notheme if="$ajax_load" />
+  <!--<notheme if="contains($path, 'manage')"/>-->
+  <notheme if="contains($path, 'plugins')"/>
+  <notheme if="contains($path, 'querybuilder')"/>
+  <notheme if="contains($path, 'advanced/anchor.htm')"/>
+  <notheme if="contains($path, 'advanced/source_editor.htm')"/>
+  <notheme if="contains($path, 'image_view_fullscreen')"/>
+  <notheme if-path="@@manage-viewlets" />
 
-	
-	<!-- Head -->
-	<before content="/html/head/meta" css:theme="meta" />
-	<replace theme="/html/head/title" content="/html/head/title"
-		 if-not-path="/" />
-    <replace theme="/html/head/base" content="/html/head/base" />
-	<append theme="/html/head" content="/html/head/script" />
-    <append theme="/html/head" content="/html/head/link | /html/head/style" />
-    
-    
-	<!-- Top / Header -->
-	<copy attributes="href" css:content='#portal-logo' css:theme="#logo-container a" />
 
-	<copy css:theme="#user-options ul">
-		<xsl:for-each css:select="#portal-personaltools li">
-                <xsl:if test="not(position()=last())">
-						<xsl:copy-of select="." />
-                </xsl:if>
-        </xsl:for-each> 
-	</copy>
-	
-	<replace css:theme=".navbar-form" css:content="#portal-searchbox form"/>
-	<drop css:content=".searchSection"/>
-	<drop css:content="#LSResult"/>
-	
-	
-	<replace css:theme-children="#menu-collapse .nav" css:content-children="#portal-globalnav"/>
-	<!-- Frontpage Content -->
-	<replace css:theme=".full-col" css:content=".full-col" css:if-content="body.section-front-page"/>
-	<replace css:theme=".rslides" css:content=".rslides"/>
-	<replace css:theme=".left-col" css:content=".left-col" css:if-content="body.section-front-page"/>
-	
-	
-	<replace css:theme-children=".right-col" css:content-children="#portal-column-two" css:if-not-content="body.section-front-page"/>
-	<replace css:theme-children=".right-col" css:content-children="#newsportlet" css:if-content="body.section-front-page"/>
-	
-	
-	<!-- Content -->
-	<before css:theme=".rslides_container" css:content="#edit-bar"/>
-	
-	<copy css:theme=".content-container" css:content-children="#portal-column-content"/>
-	
-	<!-- Footer -->
-	<replace css:theme=".section" css:content=".section"/>
-	
+  <!-- Head -->
+  <before content="/html/head/meta" css:theme="meta" />
+  <replace theme="/html/head/title" content="/html/head/title"
+           if-not-path="/" />
+  <replace theme="/html/head/base" content="/html/head/base" />
+  <append theme="/html/head" content="/html/head/script" />
+  <append theme="/html/head" content="/html/head/link | /html/head/style" />
+
+
+  <!-- Top / Header -->
+  <copy attributes="href" css:content='#portal-logo' css:theme="#logo-container a" />
+
+  <!-- User options (upper right) -->
+  <!--      user name in options menu   -->
+  <replace css:theme-children="#user-options-name"
+           css:content-children="#portal-personaltools li:nth-child(1) a" />
+  <!--      href of username link -->
+  <copy attributes="href"
+        css:content="#portal-personaltools li:nth-child(1) a"
+        css:theme="#user-options a:nth-child(1)" />
+
+  <!--      2nd to last link of user options (separators filtered out)
+            These go into user options dropdown
+  -->
+  <copy css:theme="#user-options ul">
+    <xsl:for-each css:select="#portal-personaltools li">
+      <xsl:if test="not(position() mod 2 = 0)">
+        <xsl:if test="not(position() = 1)">
+          <xsl:copy-of select="." />
+        </xsl:if>
+      </xsl:if>
+    </xsl:for-each>
+  </copy>
+
+  <replace css:theme=".navbar-form" css:content="#portal-searchbox form"/>
+  <drop css:content=".searchSection"/>
+  <drop css:content="#LSResult"/>
+
+
+  <replace css:theme-children="#menu-collapse .nav"
+           css:content-children="#portal-globalnav"/>
+  <!-- Frontpage Content -->
+  <replace css:theme=".full-col" css:content=".full-col"
+           css:if-content="body.template-frontpageview"/>
+  <replace css:theme=".rslides" css:content=".rslides"/>
+  <replace css:theme=".left-col" css:content=".left-col"
+           css:if-content="body.template-frontpageview"/>
+
+
+  <replace css:theme-children=".right-col"
+           css:content-children="#portal-column-two"
+           css:if-not-content="body.template-frontpageview"/>
+  <replace css:theme-children=".right-col"
+           css:content-children="#newsportlet"
+           css:if-content="body.template-frontpageview"/>
+
+  <!-- Content -->
+  <before css:theme=".rslides_container" css:content="#edit-bar"/>
+
+  <copy css:theme=".content-container"
+        css:content-children="#portal-column-content"/>
+
+  <!-- Footer -->
+  <replace css:theme=".footer .section"
+           css:content="#portal-footer-wrapper .section"/>
+
 </rules>
Index: main/ngren.theme/trunk/ngren/theme/profiles/default/cssregistry.xml
===================================================================
--- main/ngren.theme/trunk/ngren/theme/profiles/default/cssregistry.xml	(revision 10239)
+++ main/ngren.theme/trunk/ngren/theme/profiles/default/cssregistry.xml	(revision 10240)
@@ -10,4 +10,3 @@
     enabled="1" expression=""/>
 
-
 </object>
Index: main/ngren.theme/trunk/ngren/theme/profiles/default/types.xml
===================================================================
--- main/ngren.theme/trunk/ngren/theme/profiles/default/types.xml	(revision 10239)
+++ main/ngren.theme/trunk/ngren/theme/profiles/default/types.xml	(revision 10240)
@@ -5,3 +5,4 @@
  <object name="Featured" meta_type="Dexterity FTI" />
  <object name="Banner" meta_type="Dexterity FTI" />
+ <object name="Plone_Site" meta_type="Factory-based Type Information with dynamic views"/>
 </object>
Index: main/ngren.theme/trunk/ngren/theme/profiles/default/types/Plone_Site.xml
===================================================================
--- main/ngren.theme/trunk/ngren/theme/profiles/default/types/Plone_Site.xml	(revision 10240)
+++ main/ngren.theme/trunk/ngren/theme/profiles/default/types/Plone_Site.xml	(revision 10240)
@@ -0,0 +1,13 @@
+<?xml version="1.0"?>
+<object name="Plone_Site"
+   meta_type="Factory-based Type Information with dynamic views"
+   i18n:domain="ngren.theme" xmlns:i18n="http://xml.zope.org/namespaces/i18n">
+  <property name="view_methods">
+  <element value="folder_summary_view"/>
+  <element value="folder_tabular_view"/>
+  <element value="atct_album_view"/>
+  <element value="folder_listing"/>
+  <element value="frontpageview"/>
+ </property>
+
+</object>
Index: main/ngren.theme/trunk/ngren/theme/skins/ngren_theme_styles/public.css
===================================================================
--- main/ngren.theme/trunk/ngren/theme/skins/ngren_theme_styles/public.css	(revision 10239)
+++ main/ngren.theme/trunk/ngren/theme/skins/ngren_theme_styles/public.css	(revision 10240)
@@ -480,4 +480,8 @@
     font-weight: normal;
 }
+.suppressVisualEditor{
+	margin-top:-1.8em !important;
+	padding-left:5px;
+}
 
 #content .visualHighlight {
@@ -1253,4 +1257,5 @@
 select{
 	width:170px;
+	min-height: 30px;
 }
 .optionsToggle {