Index: main/ngren.theme/trunk/ngren/theme/ngren_theme/example.html
===================================================================
--- main/ngren.theme/trunk/ngren/theme/ngren_theme/example.html	(revision 10242)
+++ main/ngren.theme/trunk/ngren/theme/ngren_theme/example.html	(revision 10252)
@@ -60,11 +60,24 @@
 						<h1><a href="home.html">Nigerian Research and<br/>Education Network</a></h1>
 					</div>
-					<div id="user-options">
-						<ul>
-							<li><a href="example.html">Login</a></li>
-							<li><span class="separator">|</span></li>
-							<li><a href="example.html">Register</a></li>
-						</ul>
-					</div>
+                                        <div class="btn-group pull-right btn-small"
+                                             id="user-options">
+                                          <a class="btn btn-small btn-primary"
+                                             href="#">
+                                            <i class="icon-user icon-white"></i>
+                                            <span id="user-options-name">
+                                              Username
+                                            </span>
+                                          </a>
+                                          <a class="btn btn-small btn-primary
+                                                    dropdown-toggle"
+                                             data-toggle="dropdown"
+                                             href="#">
+                                            <span class="caret"></span>
+                                          </a>
+                                          <ul class="dropdown-menu btn-small">
+                                            <li><a href="#">Dashboard</a></li>
+                                            <li><a href="#">Logout</a></li>
+                                          </ul>
+                                        </div><!-- user-options -->
 					<form class="navbar-form pull-right">
 						<input type="text" />
Index: main/ngren.theme/trunk/ngren/theme/ngren_theme/home.html
===================================================================
--- main/ngren.theme/trunk/ngren/theme/ngren_theme/home.html	(revision 10242)
+++ main/ngren.theme/trunk/ngren/theme/ngren_theme/home.html	(revision 10252)
@@ -60,11 +60,23 @@
 						<h1><a href="home.html">Nigerian Research and<br/>Education Network</a></h1>
 					</div>
-					<div id="user-options">
-						<ul>
-							<li><a href="example.html">Login</a></li>
-							<li><span class="separator">|</span></li>
-							<li><a href="example.html">Register</a></li>
-						</ul>
-					</div>
+                                        <div class="btn-group pull-right btn-small"
+                                             id="user-options">
+                                          <a class="btn btn-small btn-primary"
+                                             href="#">
+                                            <i class="icon-user icon-white"></i>
+                                            <span id="user-options-name">
+                                              Username
+                                            </span>
+                                          </a>
+                                          <a class="btn btn-small btn-primary                                                       dropdown-toggle"
+                                             data-toggle="dropdown"
+                                             href="#">
+                                            <span class="caret"></span>
+                                          </a>
+                                          <ul class="dropdown-menu btn-small">
+                                            <li><a href="#">Dashboard</a></li>
+                                            <li><a href="#">Logout</a></li>
+                                          </ul>
+                                        </div><!-- user-options -->
 					<form class="navbar-form pull-right">
 						<input type="text" />